package SGN::View::Mason::Commands;
use strict;
use vars qw($m $c);
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::Mason::Commands::m = $HTML::Mason::Commands::m;
HTML::Mason::Exception::Params->throw
    ( error =>
      "Odd number of parameters passed to component expecting name/value pairs"
    ) if @_ % 2;
my ( $stockref );
{
    my %pos;
    for ( my $x = 0; $x < @_; $x += 2 )
    {
        $pos{ $_[$x] } = $x + 1;
    }
#line 3 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
     $stockref = exists $pos{'stockref'} ? $_[ $pos{'stockref'} ] :  undef;
}
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 1 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
$m->print( '
' );
#line 5 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
$m->print( '
' );
#line 6 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
 my $stock_id = $stockref->{stock_id};
$m->print( '
' );
#line 8 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
$m->comp(   '/page/page_title.mas', title=> 'Create a New Stock'   
); #line 8 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
$m->print( '


' );
#line 11 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
$m->comp( { content => sub {
#line 11 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
$m->print( '

<div class="row">
  <div class="col-sm-12">

  ' );
#line 16 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
$m->comp(   '/page/form.mas',
  object_type=>'stock',
  object_id=>"$stock_id",
  form_name=> 'stock_form',
  server_side_script => '/phenome/stock/stock_ajax_form.pl',
  form_div_name=>'stock_details',
  js_object_name=> 'stockForm',
  page_url => "/stock/$stock_id/view/" ,
  alternate_new_button => '<a class="btn btn-sm btn-default" href ="/stock/0/new">New</a>'
    
); #line 25 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
$m->print( '

  </div>
</div>

' );
#line 30 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
} }, '/page/info_section.mas', title=>"Stock details"
 );
#line 30 "/home/production/cxgn/sgn/mason/stock/new_stock.mas"
$m->print( '

<script language="javascript">
function jqueryStuff() { 
   jQuery(function() {
     jQuery("#species_name").autocomplete({
        source: \'/organism/autocomplete\'
     });
  });
}
</script>
' );
;return;
},
'declared_args' => {
  '$stockref' => { default => ' undef' }
},
'load_time' => 1715009210,

)
;